CBGAddDialog (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.dialog.CBGAddDialog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.dialog
Class CBGAddDialog

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.dialog.CBGAddDialog

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class CBGAddDialog

extends BaseComponent

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`CBGAddDialog()`

Method Summary
`abstract org.apache.tapestry.IActionListener` | `getCreateListener()`
`abstract CritterCriteria` | `getCritter()`
`abstract java.lang.Integer` | `getCritterIndex()`
`abstract java.util.List<CritterCriteria>` | `getCritterList()`
`abstract org.apache.tapestry.form.IPropertySelectionModel` | `getCritterTypeList()`
`abstract java.lang.String` | `getGroupName()`
`abstract java.lang.String` | `getIsAny()`
`abstract org.apache.tapestry.IScript` | `getScript()`
`abstract java.util.Collection<java.lang.String>` | `getUpdateComponents()`
`void` | `onAddRow(org.apache.tapestry.IRequestCycle cycle)` Add a row to the end of the List
`void` | `onCancelListener(org.apache.tapestry.IRequestCycle cycle)` Cancel button has been clicked, clear the selected criteria list
`void` | `onCreateListener(org.apache.tapestry.IRequestCycle cycle)` Ok button has been clicked in the dialog - update the selected list
`void` | `onDeleteRow(java.lang.Integer index)` row has been deleted
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`abstract void` | `setCreateListener(org.apache.tapestry.IActionListener listener)`
`abstract void` | `setCritter(CritterCriteria type)`
`abstract void` | `setCritterIndex(java.lang.Integer index)`
`abstract void` | `setCritterList(java.util.List<CritterCriteria> critters)`
`abstract void` | `setCritterTypeList(org.apache.tapestry.form.IPropertySelectionModel list)`
`abstract void` | `setGroupName(java.lang.String name)`
`abstract void` | `setIsAny(java.lang.String value)`
`abstract void` | `setUpdateComponents(java.util.Collection<java.lang.String> components)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### CBGAddDialog

    public CBGAddDialog()

Method Detail

### getCritterIndex

    public abstract java.lang.Integer getCritterIndex()

### setCritterIndex

    public abstract void setCritterIndex(java.lang.Integer index)

### getCritter

    public abstract CritterCriteria getCritter()

### setCritter

    public abstract void setCritter(CritterCriteria type)

### getIsAny

    @Parameter(name="isAny",
               defaultValue="ognl:true")
    public abstract java.lang.String getIsAny()

  Returns:
    Is this an Any or All condition

### setIsAny

    public abstract void setIsAny(java.lang.String value)

### getCritterList

    @Parameter(name="criteriaList",
               required=true)
    public abstract java.util.List<CritterCriteria> getCritterList()

  Returns:
    The List of critters created

### setCritterList

    public abstract void setCritterList(java.util.List<CritterCriteria> critters)

### getCritterTypeList

    @Parameter(name="critterPropTypeModel",
               required=true)
    public abstract org.apache.tapestry.form.IPropertySelectionModel getCritterTypeList()

  Returns:
    the selection model for the avail CritterPropTypes

### setCritterTypeList

    public abstract void setCritterTypeList(org.apache.tapestry.form.IPropertySelectionModel list)

### getCreateListener

    @Parameter(name="createListener",
               required=true)
    public abstract org.apache.tapestry.IActionListener getCreateListener()

  Returns:
    binding for the onCreate listener

### setCreateListener

    public abstract void setCreateListener(org.apache.tapestry.IActionListener listener)

### getUpdateComponents

    @Parameter(name="updateComponents")
    public abstract java.util.Collection<java.lang.String> getUpdateComponents()

  Returns:
    the components to update after form submit

### setUpdateComponents

    public abstract void setUpdateComponents(java.util.Collection<java.lang.String> components)

### getGroupName

    @Parameter(name="groupName")
    public abstract java.lang.String getGroupName()

### setGroupName

    public abstract void setGroupName(java.lang.String name)

### getScript

    @InjectScript(value="CBGAddDialog.script")
    public abstract org.apache.tapestry.IScript getScript()

### onDeleteRow

    public void onDeleteRow(java.lang.Integer index)

  row has been deleted

  Parameters:
    `index` -

### onAddRow

    public void onAddRow(org.apache.tapestry.IRequestCycle cycle)

  Add a row to the end of the List

  Parameters:
    `cycle` -

### onCreateListener

    public void onCreateListener(org.apache.tapestry.IRequestCycle cycle)

  Ok button has been clicked in the dialog - update the selected list

  Parameters:
    `cycle` -

### onCancelListener

    public void onCancelListener(org.apache.tapestry.IRequestCycle cycle)

  Cancel button has been clicked, clear the selected criteria list

  Parameters:
    `cycle` -

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.